# standard imports
import unittest
import logging

# external imports
from eth_writer.unittest import TestEthWriterInterface
from eth_writer.unittest.base import TestEthWriter
from ge_capped_token.unittest import TestCappedToken

logging.basicConfig(level=logging.DEBUG)
logg = logging.getLogger()


class TestEthCappedWriter(TestCappedToken, TestEthWriterInterface):

    def setUp(self):
        super(TestEthCappedWriter, self).setUp()
        self.contracts['writer'] = self.address
        self.roles['writer'] = self.accounts[0]


if __name__ == '__main__':
    unittest.main()
