# standard imports
import unittest
import logging

# external imports
from chainlib.eth.tx import receipt
from chainlib.eth.block import block_latest
from chainlib.eth.block import block_by_number
from eth_burner.unittest import TestEthBurnerInterface
from eth_burner.unittest.base import TestEthBurner
from ge_capped_token.unittest import TestCappedToken

logging.basicConfig(level=logging.DEBUG)
logg = logging.getLogger()


class TestEthCappedBurner(TestEthBurner, TestCappedToken, TestEthBurnerInterface):

    def setUp(self):
        super(TestEthCappedBurner, self).setUp()


if __name__ == '__main__':
    unittest.main()
