# standard imports
import unittest
import logging

# external imports
from chainlib.eth.tx import receipt
from chainlib.eth.block import block_latest
from chainlib.eth.block import block_by_number
from eth_minter.unittest import TestEthMinterInterface
from eth_minter.unittest.base import TestEthMinter
from ge_capped_token.unittest import TestCappedToken

logging.basicConfig(level=logging.DEBUG)
logg = logging.getLogger()


class TestEthCappedMinter(TestEthMinter, TestCappedToken, TestEthMinterInterface):

    def setUp(self):
        super(TestEthCappedMinter, self).setUp()


if __name__ == '__main__':
    unittest.main()
